Package org.gradle.api.cache

# Interface Cleanup

@Incubating public interface Cleanup
Configures cache cleanup settings that apply to all caches.

Since:
  8.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Cleanup`
  `ALWAYS`
  Perform cache cleanup after every build session.
  `static final Cleanup`
  `DEFAULT`
  Perform cache cleanup periodically (default is only once every 24 hours).
  `static final Cleanup`
  `DISABLED`
  Never perform cache cleanup.

- ## Field Details

  - ### ALWAYS

    static final Cleanup ALWAYS
    Perform cache cleanup after every build session.

  - ### DEFAULT

    static final Cleanup DEFAULT
    Perform cache cleanup periodically (default is only once every 24 hours).

  - ### DISABLED

    static final Cleanup DISABLED
    Never perform cache cleanup.